# class HTML::FullSanitizer

### Public Instance Methods

process_node(node, result, options) click to toggle source

    # File lib/action_controller/vendor/html-scanner/html/sanitizer.rb, line 42
    def process_node(node, result, options)
      result << node.to_s if node.class == HTML::Text
    end

sanitize(text, options = {}) click to toggle source
Calls superclass method HTML::Sanitizer#sanitize

    # File lib/action_controller/vendor/html-scanner/html/sanitizer.rb, line 33
    def sanitize(text, options = {})
      result = super
      # strip any comments, and if they have a newline at the end (ie. line with
      # only a comment) strip that too
      result = result.gsub(/<!--(.*?)-->[\n]?/m, "") if (result && result =~ /<!--(.*?)-->[\n]?/m)
      # Recurse - handle all dirty nested tags
      result == text ? result : sanitize(result, options)
    end